<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class OrdersDeliveryStatusEnum
{
    public const NEW = 10;
    public const ASSEMBLED = 20;
    public const TRANSFER = 30;
    public const READY_TO_PICKUP = 40;
    public const DONE = 100;
    public const CANCELED = 200;

    /**
     * @return int[]
     */
    public static function cases(): array
    {
        return [
            self::NEW,
            self::ASSEMBLED,
            self::TRANSFER,
            self::READY_TO_PICKUP,
            self::DONE,
            self::CANCELED,
        ];
    }
}
